spatialite_xml_load(1)

NAME
spatialite_xml_load - parse any XML document, and create and populate a DB-file

SYNOPSIS
\FCspatialite_xml_load\F[]
[\FC-h\F[]] [\FC-x\F[] pathname] [\FC-d\F[] pathname] [\FC-cg\F[]] [\FC-xl\F[]] [\FC-nl\F[] num] [\FC-pl\F[] num] [\FC-jo\F[]] [\FC-cs\F[] num] [\FC-m\F[]]

DESCRIPTION
spatialite_xml_load will parse any generic XML document of unlimited complexity, and will consequently create and populate a DB-file faithfully translating the XML tree into many relationally joined DBMS tables.

The whole translation is performed in such a way so to be sure that absolutely no information will be never lost or suppressed.

If two (or even more) XML files share exactly the same identical logical layout (i.e. they all support the same identical formal schema definition) this tool is capable to merge all them within the same DB-file.

There are no imposed size-limits: some huge GML files as big as many GBs have been successfully loaded by using this tool.

OPTIONS

\FC-h\F[], \FC--help\F[]
    show help message

\FC-x\F[] pathname, \FC--xml-path\F[] pathname
    the XML file path

\FC-d\F[] pathname, \FC--db-path\F[] pathname
    the SpatiaLite DB path

\FC-cg\F[], \FC--collapsed-gml\F[]
    collapsed GML Geometries

\FC-xl\F[], \FC--xlink-href\F[]
    special GML xlink:href handling

\FC-nl\F[] num, \FC--nl-level\F[] num
    tree-level for table-names (default: 0)

\FC-pl\F[] num, \FC--parent-levels\F[] num
    how many ancestors for table-names (default: \-1)

\FC-jo\F[], \FC--journal-off\F[]
    unsafe [but faster] mode

\FC-cs\F[] num, \FC--cache-size\F[] num
    DB cache size (how many pages)

\FC-m\F[], \FC--in-memory\F[]
    using IN-MEMORY database